%define upstream_name	 Gtk3
%define	upstream_version 0.015

%define perl_glib_require 1.240

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl module for the GTK+-3.x library
License:    LGPLv2+
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.gz
# helper for exception management:
Patch1: exceptions.diff
# set up GdkX11:
Patch6: GdkX11.diff
#Patch7: gio.diff

BuildArch:  noarch

BuildRequires: perl(Cairo::GObject) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Glib) >= 1.302.0-6
BuildRequires: perl(Glib::Object::Introspection) >= 0.9.0
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils-Depends >= 0.300
BuildRequires: perl-ExtUtils-PkgConfig >= 1.03
BuildRequires: perl-Glib >= %perl_glib_require
BuildRequires: perl-Glib-Object-Introspection >= 0.002
BuildRequires: perl-Test-Simple
# for test suite:
#BuildRequires: x11-server-xvfb
BuildRequires: typelib(Gtk) = 3.0
Requires:   typelib(Gtk) = 3.0
Requires:   typelib(Gdk) = 3.0
Requires:   typelib(Pango) = 1.0
# For exception handling:
Requires:   perl(Glib) >= 1.302.0-6
%description
This module provides perl access to the GTK+-3.x library.

GTK+ is the GIMP ToolKit, a library for creating graphical user
interfaces for the X Window System.  GTK+ was originally written for the GIMP
(GNU Image Manipulation Program) image processing program, but is now used by
several other programs as well.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches
rm -f lib/Gtk3.pm.*
perl Makefile.PL INSTALLDIRS=vendor

%build
%make OPTIMIZE="%{optflags}"

%install
%makeinstall_std

%check
# (TV) Test suite won't work in iurt (not enough stuff configured):
exit 0
xvfb-run %make test

%files
%doc LICENSE META.yml MYMETA.yml NEWS README
%{perl_vendorlib}/%{upstream_name}.pm
%_mandir/*/*


%changelog
* Fri Dec 20 2013 tv <tv> 0.15.0-3.mga4
+ Revision: 559180
- do not setup introspection for Gio by default (unused & increase RSS by 4Mb)

* Mon Dec 16 2013 tv <tv> 0.15.0-2.mga4
+ Revision: 557360
- require new enough Glib for exception handling (mga#12001)

* Sat Dec 14 2013 tv <tv> 0.15.0-1.mga4
+ Revision: 556805
- new release

* Tue Dec 03 2013 tv <tv> 0.14.0-9.mga4
+ Revision: 554748
- add Gtk3::Widget::render_icon() overrides for rpmdrake

* Mon Dec 02 2013 tv <tv> 0.14.0-8.mga4
+ Revision: 554669
- fix a regression in callback exception management

* Fri Nov 22 2013 tv <tv> 0.14.0-7.mga4
+ Revision: 552342
- set up GdkX11 & Gio

* Wed Nov 13 2013 tv <tv> 0.14.0-6.mga4
+ Revision: 550923
- drop some uneeded overrides

* Tue Nov 12 2013 tv <tv> 0.14.0-5.mga4
+ Revision: 550649
- add Pango::Layout::set_text override
- drop no more needed setter overrides

* Thu Nov 07 2013 tv <tv> 0.14.0-4.mga4
+ Revision: 549899
- add overrides for installer summary/services

* Thu Nov 07 2013 tv <tv> 0.14.0-3.mga4
+ Revision: 549862
- call handle_one_exception() on class

* Thu Nov 07 2013 tv <tv> 0.14.0-2.mga4
+ Revision: 549854
- patch 0: add an helper for exception management

* Wed Oct 30 2013 tv <tv> 0.14.0-1.mga4
+ Revision: 547986
- new release
- add more overrides

* Mon Oct 21 2013 umeabot <umeabot> 0.13.0-2.mga4
+ Revision: 538570
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 tv <tv> 0.13.0-1.mga4
+ Revision: 489942
- new release

* Tue Oct 01 2013 tv <tv> 0.12.0-1.mga4
+ Revision: 489933
- new release
- drop patches 1 & 2: gtk+3.10 has needed annotations

* Sun Sep 01 2013 tv <tv> 0.11.0-1.mga4
+ Revision: 474084
- new release
- fix more default values

* Thu Feb 14 2013 tv <tv> 0.9.0-1.mga3
+ Revision: 398493
- new release
- fix license: s/GPL/LGPL/

* Sun Feb 10 2013 tv <tv> 0.8.0-5.mga3
+ Revision: 397753
- more fixes
- rpmlint cleanups

* Fri Feb 08 2013 tv <tv> 0.8.0-4.mga3
+ Revision: 396300
- more fixes

* Sun Feb 03 2013 tv <tv> 0.8.0-3.mga3
+ Revision: 394272
- disable testsuite in iurt (needs too much config)
- patch 0: fixes from git
- patch 1: more compat with Gtk2
- run testsuite

  + fwang <fwang>
    - add br for test

* Sun Jan 13 2013 umeabot <umeabot> 0.8.0-2.mga3
+ Revision: 367971
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 26 2012 tv <tv> 0.8.0-1.mga3
+ Revision: 284299
- new release

* Thu Jul 12 2012 jquelin <jquelin> 0.7.0-1.mga3
+ Revision: 270275
- update to 0.007

* Tue Jun 05 2012 jquelin <jquelin> 0.6.0-1.mga3
+ Revision: 254966
- update to 0.006

* Mon Mar 26 2012 ovitters <ovitters> 0.4.0-1.mga2
+ Revision: 226726
- new version 0.004

* Sun Jan 15 2012 tv <tv> 0.3.0-1.mga2
+ Revision: 196302
- new release

* Fri Dec 09 2011 kharec <kharec> 0.2.0-1.mga2
+ Revision: 179658
- New version 0.002

* Thu Nov 03 2011 fwang <fwang> 0.1.0-2.mga2
+ Revision: 161972
- add requires on typelib

* Sat Oct 15 2011 tv <tv> 0.1.0-1.mga2
+ Revision: 155433
- imported package perl-Gtk3

